﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.8
@EndOfDesignText@
Sub Process_Globals
	Private fx As JFX
	Private xui As XUI
End Sub

Public Sub add_new_component(comptype As String)
	Dim currparent As String = "null"
	Dim llst As List
	llst.Initialize
	llst = File.ReadList(File.DirAssets,comptype & "_default.sld")
	For i = 0 To llst.Size - 1
		Dim valstr As String = llst.Get(i)
		Dim valuesmap As Map = valstr.As(JSON).ToMap
		Dim td As tagdata
		td.PressedX = valuesmap.Get("pressedx")
		td.PressedY = valuesmap.Get("pressedy")
		td.count = Main.nodecnt			'valuesmap.Get("count")
		td.id = valuesmap.Get("id")
		td.imgurl = valuesmap.Get("imgurl")
		td.backcolor = valuesmap.Get("backcolor")
		td.brdthick = valuesmap.Get("brdthick")
		td.brdcolor = valuesmap.Get("brdcolor")
		td.brdradius = valuesmap.Get("brdradius")
		td.noborder = valuesmap.Get("noborder")
		td.fontfamily = valuesmap.Get("fontfamily")
		td.fontsize = valuesmap.Get("fontsize")
		td.isbold = valuesmap.Get("isbold")
		td.isitalic = valuesmap.Get("isitalic")
		td.alignment = valuesmap.Get("alignment")
		td.textcolor = valuesmap.Get("textcolor")
		td.parent = currparent			'valuesmap.Get("parent")
		td.drawing = valuesmap.Get("drawing")
		td.drawingtext = valuesmap.Get("drawingtext")
		td.gradient1 = valuesmap.Get("gradient1")
		td.gradient2 = valuesmap.Get("gradient2")
		If valuesmap.Get("gradienthorz") <> Null Then
			td.gradienthorz = valuesmap.Get("gradienthorz")
		End If
		td.comptype = valuesmap.Get("comptype")
		If td.id.Contains("Label") Then
			td.id = "Label" & td.count
		End If
		If td.id.Contains("Button") Then
			td.id = "Button" & td.count
		End If
		If td.id.Contains("Pane") Then
			td.id = "Pane" & td.count
			td.comptype = comptype
			currparent = td.id
		End If
		If td.id.Contains("Canvas") Then
			td.id = "Canvas" & td.count
		End If
		If td.id.Contains("Label") Or td.id.Contains("Button") Then
			label_module.load_label(td,valuesmap)
		Else
			pane_module.load_pane(td,valuesmap)
		End If
		'Log("add_new_component parent: " & td.parent)
		Main.nodecnt = Main.nodecnt + 1			'Main.nodecnt = i
	Next
	For Each nod As Node In Main.panemain.GetAllViewsRecursive
		If nod.Tag <> "" Then
			Dim td As tagdata = nod.Tag
			If td.id.Contains("Pane") Then
				Main.attach_children(td.id,nod)
			End If
		End If
	Next
	
End Sub

